#ifndef BMP_HPP
#define BMP_HPP

#include <vector>
#include <map>
#include <string>
#include <iostream>

class Bitmap
{
private:
	std::vector<char*> bmp;
	std::map<std::string, int> name;

public:
	bool isLoaded(std::string file) {
		std::map<std::string, int>::iterator it = name.find(file);
		if (it == name.end())
			return false;
		else
			return true;
	}
	bool isLoaded(const char* file) { return isLoaded(std::string(file)); }

	bool load(std::string);
	bool load(const char* file) { return load(std::string(file)); }
	
	int getIndex(std::string);
	int getIndex(const char* file) { return getIndex(std::string(file)); }
	int getWidth(std::string);
	int getHeight(std::string);
	
	bool print8x8(std::string&, std::string, int, int);
};

#endif
